Subject: bug#76120: This feature is not about "sharing", or a "native" anything.

From: Alvaro Ramirez <[email-masked]>
Date: Sat, 19 Jul 2025 15:12:43 +0100

> On 19 Jul 2025, at 14:54, Gerd Möllmann <[email-masked]> wrote:
> 
> Gerd Möllmann <[email-masked]> writes:
> 
>> Alvaro Ramirez <[email-masked]> writes:
>> 
>>> Thank you Gerd for volunteering to verify the patch and Eli for
>>> reaching out to others!
>>> 
>>> Gerd Möllmann <[email-masked]> writes:
>>> 
>>>> I can do that if you send me the latest version of the patch,
>>>> Alvaro.
>>>> The bug thread is a bit tl;dr.
>>> 
>>> Rebased and attached
>>> (0007-Add-Send-to.-context-menu-item-to-mouse.el.patch).
>>> 
>>> 1. M-x context-menu-mode (enables minor mode).
>>> 2. Right click buffer to open context menu.
>>> 3. Select "Send to..."
>>> 
>>> "Send to..." can be applied to either:
>>> 
>>> - Dired files (single or multiple files).
>>> - Current buffer (if there's an associated file).
>>> - Selected region (selected text is sent).
>> 
>> Thanks, builds, works, and is now in master.

Thank you Gerd!

> Found a crash: Using send-to with in emacs -nw leads to a crash.
> Maybe send-to--ns-supported-p should check display-graphics-p?
> 
> And maybe a nice-to have: Building --withput-ns, which I normally do,
> send-to "only" offers opening the file externally, which uses the "open" command.
> Maybe it would be nice to support "open -a <app>”?

I shall follow-up with a patch addressing these in addition to the bug Eli found.